
Auto Multiple Choice - Bug # 567: Problème à la génération de la documentation git:6ec1da0f

Status: Closed Priority: Normal
Author: Joël Brogniart Category:
Created: 05/30/2018 Assignee:
Updated: 05/31/2018 Due date:
Description: macOS 10.13.4 (MacPorts 2.5.0, Xcode 9.4)

Avec AMC  git:6ec1da0f, la génération de la documentation échoue.

L'erreur qui me semble pertinente est dans la partie suivante.

<pre>
:info:build Package hyperref Warning: Token not allowed in a PDF string (PDFDocEncoding):
:info:build (hyperref)                removing `subscript' on input line 56.
:info:build LaTeX Font Warning: Font shape `TU/IPAexGothic(0)/bx/n' undefined
:info:build (Font)              using `TU/IPAexGothic(0)/m/n' instead on input line 69.
:info:build [1]
:info:build Underfull \hbox (badness 10000) in paragraph at lines 69--69
:info:build [2]
:info:build ! Missing number, treated as zero.
:info:build <to be read again> 
:info:build                    @
:info:build l.69 \maketitle
:info:build                
:info:build Output written on auto-multiple-choice.ja.pdf (2 pages).
:info:build Transcript written on auto-multiple-choice.ja.log.
:info:build make[1]: *** [auto-multiple-choice.ja.pdf] Error 1
</pre>

Je pense que ce qui cloche vient de la ligne avec *! Missing number, treated as zero.*

Lors de la génération de la documentation de la version git:a488cdbc la partie correspondante n'a pas cette 
erreur et la génration de la documentation se poursuit.

<pre>
:info:build Package hyperref Warning: Rerun to get /PageLabels entry.
:info:build Package changebar: Odd left : -30.81825pt Odd right : 512.23888pt
:info:build (changebar)        Even left: -30.81825pt Even right: 512.23888pt.
:info:build isodate: babel.sty, (n)german.sty have not been loaded
:info:build LaTeX Font Warning: Font shape `TU/IPAexGothic(0)/bx/n' undefined
:info:build (Font)              using `TU/IPAexGothic(0)/m/n' instead on input line 69.
:info:build [1]
:info:build Underfull \hbox (badness 10000) in paragraph at lines 69--69
:info:build [2]
:info:build Package longtable Warning: Column widths have changed
:info:build (longtable)                in table 0 on input line 69.
:info:build [3] [4] [5] <use  "note.pdf" >
:info:build Overfull \hbox (4.23827pt too wide) in paragraph at lines 101--104
:info:build [][]   $[]$ 
:info:build LaTeX Warning: Reference `AMC-TXT' on page 1 undefined on input line 135.
:info:build [1] [2] <use  "important.pdf" >
:info:build Overfull \hbox (4.23827pt too wide) in paragraph at lines 227--230
:info:build [][]   $[]$ 
:info:build <use  "note.pdf" >
</pre>

History
05/30/2018 11:16 am - Joël Brogniart
git:b95e5958 et git:f2f16c4f génération de la doc (et de AMC) OK.

05/30/2018 11:47 am - Joël Brogniart
Le problème de génération de la documentation est introduit avec git:52fe24ad.

05/30/2018 12:04 pm - Alexis Bienvenüe
- Status changed from New to Feedback

Est-ce que c'est bien le @make@ de GNU qui est utilisé, et en quelle version ?

05/30/2018 12:15 pm - Joël Brogniart
Si j'utilise la version git:f2f16c4f du fichier @Makefile@, la documentation est générée correctement (du moins je le pense).

Avec cette version de Makefile, j'arrive à générer la documentation, à construire et à utiliser AMC version git:6ec1da0f.

05/30/2018 12:30 pm - Maël Valais
Je viens de remarquer en cherchant dans le projet @\maketitle@ que dans le fichier généré @doc/sty/automultiplechoice.dtx@, il semble y avoir une 
variable non remplacée ligne 212 :
<pre>
@/PACKAGE_V_DEB_TEX/@
</pre>

Trois lignes plus loin, le @\maketitle@ apparaît.

Je pense que ça vient pas de là mais au cas où, je remonte ça ��

05/30/2018 01:16 pm - Joël Brogniart
Par défaut, MacPorts utilise le make Apple fournit avec Xcode.

<pre>
Machine:~ julesverne$ /Applications/Xcode.app/Contents/Developer/usr/bin/make -v
GNU Make 3.81
Copyright (C) 2006  Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.

This program built for i386-apple-darwin11.3.0
</pre>

05/30/2018 01:31 pm - Alexis Bienvenüe
- Target version set to 1.4.0

> Par défaut, MacPorts utilise le make Apple fournit avec Xcode
Est-ce qu'on peut lui dire d'utiliser une version plus récente ? J'ai utilisé "cette 
fonctionnalité":https://www.gnu.org/software/make/manual/html_node/File-Function.html#File-Function, qui est supportée à partir de la version 4.1 (sotie 
en octobre 2014).

05/30/2018 01:37 pm - Joël Brogniart
Je suis en train de fouiller la doc MacPorts pour voir si et comment on peut changer le make. Si je trouve, je fais quelques tests sur différentes versions 
de macOS pour voir si ça ne casse pas tout.

05/30/2018 02:52 pm - Joël Brogniart
Bon j'ai trouvé le moyen d'utiliser la version gmake de MacPorts qui est plus récente et avec cette version et la dernière version de macOS, il n'y a plus 
de problème.

Il me reste à tester ça sur d'autres version de macOS et configurations, mais à priori je dirais que le problème n'existe plus.

05/30/2018 03:48 pm - Alexis Bienvenüe
Super.
Maël : est-ce que ton problème avec @/PACKAGE_V_DEB_TEX/@ n'est pas dû également à la version de @make@ utilisée ? Il me semble qu'il est 
bien substitué chez moi… Quel est le contenu de @vars-subs.pl@ ?

05/31/2018 09:30 am - Maël Valais
Mince, désolé ! Mon dossier de build n'était pas propre, du coup j'avais un ancien @vars-subs.pl@ ��

05/31/2018 09:55 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- Target version deleted (1.4.0)

- % Done changed from 0 to 100

Ok, merci pour la vérification.
